FLANG

Public Types | Public Member Functions | List of all members
Fortran::semantics::DeclTypeSpec Class Reference

## Public Types
enum | Category { Numeric, Logical, Character, TypeDerived, ClassDerived, TypeStar, ClassStar }

## Public Member Functions
| DeclTypeSpec (NumericTypeSpec &&)
| DeclTypeSpec (LogicalTypeSpec &&)
| DeclTypeSpec (const CharacterTypeSpec &)
| DeclTypeSpec (CharacterTypeSpec &&)
| DeclTypeSpec (Category, const DerivedTypeSpec &)
| DeclTypeSpec (Category, DerivedTypeSpec &&)
| DeclTypeSpec (Category)
bool | operator== (const DeclTypeSpec &) const
bool | operator!= (const DeclTypeSpec &that) const
Category | category () const
void | set_category (Category category)
bool | IsPolymorphic () const
bool | IsUnlimitedPolymorphic () const
bool | IsAssumedType () const
bool | IsNumeric (TypeCategory) const
bool | IsSequenceType () const
const NumericTypeSpec & | numericTypeSpec () const
const LogicalTypeSpec & | logicalTypeSpec () const
const CharacterTypeSpec & | characterTypeSpec () const
const DerivedTypeSpec & | derivedTypeSpec () const
DerivedTypeSpec & | derivedTypeSpec ()
IntrinsicTypeSpec * | AsIntrinsic ()
const IntrinsicTypeSpec * | AsIntrinsic () const
DerivedTypeSpec * | AsDerived ()
const DerivedTypeSpec * | AsDerived () const
std::string | AsFortran () const

The documentation for this class was generated from the following files:

- include/flang/Semantics/type.h
- lib/Semantics/type.cpp